<?php
add_action( 'restrict_manage_posts', 'order_table_filter_product_product_filter_in_order');
		
function order_table_filter_product_product_filter_in_order(){

		global $typenow, $wpdb;

		if ( 'shop_order' != $typenow ) {
			return;
		}

		$st = '';
	    $sql="SELECT ID, post_title FROM $wpdb->posts WHERE post_type = 'product' AND post_status = 'publish'".$st;
		$all_posts = $wpdb->get_results($sql, ARRAY_A);
		$values = array();
		if(!$all_posts){ return; }
		foreach ($all_posts as $all_post) {
		$title = get_the_title($all_post['ID']);
		$values[$title] = $all_post['ID'];
		}
	    ?>
	    <span id="order_table_filter_product_order_product_filter_wrap">
		    <select name="order_table_filter_product_order_product_filter" id="order_table_filter_product_order_product_filter">
		    <option value="all"><?php _e('All Products','woocommerce'); ?></option>
		    <?php
		        $current_v = isset($_GET['order_table_filter_product_order_product_filter'])? sanitize_text_field($_GET['order_table_filter_product_order_product_filter']):'';
		        foreach ($values as $label => $value) {
		            printf
		                (
		                    '<option value="%s"%s>%s</option>',
		                    $value,
		                    $value == $current_v ? ' selected="selected"':'',
		                    $label
		                );
		            }
		    ?>
		    </select>
		    <div id="fuzzSearch">
		    	<div id="fuzzNameContainer">
		    		<span class="fuzzName"></span>
		    		<span class="fuzzArrow"></span>
		    	</div>
		    	<div id="fuzzDropdownContainer">
		    		<input type="text" value="" class="fuzzMagicBox" placeholder="<?php _e('Search'); ?>" />
		    		<ul id="fuzzResults">
		    		</ul>
		    	</div>
		    	<?php print order_table_filter_product_logo(); ?>
		    </div>
		    
		</span>
		
	    <script type="text/javascript">
			jQuery('#order_table_filter_product_order_product_filter').fuzzyDropdown({
			  mainContainer: '#fuzzSearch',
			  arrowUpClass: 'fuzzArrowUp',
			  selectedClass: 'selected',
			  enableBrowserDefaultScroll: true
			});
	   </script>
	    <?php
	}
	
	
add_action( 'posts_where', 'order_table_filter_product_product_filter_where' );

	function order_table_filter_product_product_filter_where( $where ) {
		if(is_admin()){
		if( is_search() ) {
			global $typenow, $wpdb;

		if ( 'shop_order' != $typenow ) {
			return;
		}
			$t_posts = $wpdb->posts;
			$t_order_items = $wpdb->prefix . "woocommerce_order_items";  
			$t_order_itemmeta = $wpdb->prefix . "woocommerce_order_itemmeta";

			if ( isset( $_GET['order_table_filter_product_order_product_filter'] ) && !empty( $_GET['order_table_filter_product_order_product_filter'] ) && trim( $_GET['order_table_filter_product_order_product_filter'] ) <> 'all' ) {
				$product = intval($_GET['order_table_filter_product_order_product_filter']);
				$where .= " AND $product IN (SELECT $t_order_itemmeta.meta_value FROM $t_order_items LEFT JOIN $t_order_itemmeta on $t_order_itemmeta.order_item_id=$t_order_items.order_item_id WHERE $t_order_items.order_item_type='line_item' AND $t_order_itemmeta.meta_key='_product_id' AND $t_posts.ID=$t_order_items.order_id)";
			}
		}
	}
		return $where;
	}