<?php
/*
 * Plugin Name: Order table filter product
 * Version: 1.0.0
 * Description: Filter orders in Woocommerce orders table in admin, based on the specific product which is in filtered orders.
 * Author: INVELITY
 * Author URI: https://invelity.com/
 * Plugin URI: https://www.invelity.com/sk/sluzby/
 *
 */

if (! defined( 'ABSPATH' ) ){ die('Plugin Order table filter product can not run !!!'); }
add_action( 'plugins_loaded', 'order_table_filter_product_plugin_wc_init' );

function order_table_filter_product_plugin_wc_init() {
	if(! class_exists( 'woocommerce' ) ) { die('Plugin Order table filter product require Woocommerce plugin !!!'); }
}

define('PSOTF_DIR_PATH',plugin_dir_path( __FILE__ ));
define('PSOTF_DIR_URL',plugin_dir_url( __FILE__ ));
define('PSOTF_TEXTDOMAIN','order_table_filter_product_textdomain');

include_once(PSOTF_DIR_PATH.'/includes/lang.php');
include_once(PSOTF_DIR_PATH.'/includes/enqueue.php');
include_once(PSOTF_DIR_PATH.'/includes/core.php');
include_once(PSOTF_DIR_PATH.'/includes/logo.php');